Bug 1413970 - [z-stream clone - 4.0.7] After hotplugging CPU results in frequent KeyError.
Summary: [z-stream clone - 4.0.7] After hotplugging CPU results in frequent KeyError.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.0.7
: ---
Assignee: Milan Zamazal
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On: 1408790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 13:16 UTC by rhev-integ
Modified: 2020-06-11 13:27 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, there were frequent KeyError tracebacks in the vdsm.log after CPU hotplug. Now, these errors are no longer produced by VDSM after CPU hotplug.
Clone Of: 1408790
Environment:
Last Closed: 2017-03-16 15:31:11 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0542 0 normal SHIPPED_LIVE Red Hat Virtualization Manager 4.0.7 2017-03-16 19:25:04 UTC
oVirt gerrit 69999 0 None None None 2017-01-17 13:17:17 UTC
oVirt gerrit 70356 0 None None None 2017-01-17 13:17:17 UTC

Description rhev-integ 2017-01-17 13:16:34 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1408790 +++
======================================================================

After hotplugging CPU results in following KeyError:

~~~
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/executor.py", line 192, in _execute_task
    callable()
  File "/usr/share/vdsm/virt/periodic.py", line 289, in __call__
    self._execute()
  File "/usr/share/vdsm/virt/periodic.py", line 345, in _execute
    self._vm.updateNumaInfo()
  File "/usr/share/vdsm/virt/vm.py", line 5181, in updateNumaInfo
    self._numaInfo = numaUtils.getVmNumaNodeRuntimeInfo(self)
  File "/usr/share/vdsm/numaUtils.py", line 116, in getVmNumaNodeRuntimeInfo
    vnode_index = str(vcpu_to_vnode[vcpu_id])
KeyError: 8
~~~

We already have upstream patch for the same:

https://gerrit.ovirt.org/#/c/65562/1..4

But latest Package - vdsm-python-4.18.15.3-1.el7ev.noarch.rpm does not have the patch.

(Originally by Ameya Charekar)

Comment 1 rhev-integ 2017-01-17 13:16:43 UTC
Yes, this is fixed in 4.1. Is that enough or an earlier release is requested?

(Originally by michal.skrivanek)

Comment 5 rhev-integ 2017-01-17 13:17:00 UTC
Patch backported to 4.0, backport to 3.6 posted.

(Originally by Milan Zamazal)

Comment 7 Yaniv Kaul 2017-01-22 10:01:16 UTC
Milan - can this go to 4.0.7? We are not even sure we'll have 4.0.8 and this looks ready.

Comment 8 Milan Zamazal 2017-01-23 12:26:03 UTC
Yes, it's ready. The patch has been merged to Vdsm ovirt-4.0 branch on January 13 and it should be included in 4.0.7.

Comment 10 Israel Pinto 2017-01-29 12:56:42 UTC
Verify with:
Engine: 4.0.7-0.1.el7ev
Host: 
OS Version:RHEL - 7.3 - 7.el7
Kernel Version:3.10.0 - 514.6.1.el7.x86_64
KVM Version:2.6.0 - 28.el7_3.3
LIBVIRT Version:libvirt-2.0.0-10.el7_3.4
VDSM Version:vdsm-4.18.22-1.el7ev
SPICE Version:0.12.4 - 19.el7

Steps:
1. Create VM with 1 CPU and Run it
2. Hotplug CPU to 2 and check vdsm log 
2. Hot unplug CPU to 1 and check vdsm log 

Results:
CPU is updated, No Error in vdms log

Comment 12 errata-xmlrpc 2017-03-16 15:31:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0542.html


Note You need to log in before you can comment on or make changes to this bug.